// Copyright (c) 2000 Phil Thompson (phil@river-bank.demon.co.uk)
//
// The interface to the VPScript class.


#ifndef VPSCRIPT_H
#define VPSCRIPT_H


#include <qobject.h>


class VPInterpreter;


class VPScript : public QObject
{
	Q_OBJECT

public:
	VPScript(char *script,VPInterpreter *interp = 0);
	virtual ~VPScript();

public slots:
	void execute();

private:
	VPInterpreter *m_interp;
	char *m_script;
 
	VPScript(const VPScript &);
	VPScript &operator=(const VPScript &);
};

#endif
