// Copyright (c) 2000 Phil Thompson (phil@river-bank.demon.co.uk)
//
// This handles the KDE implementation of the Color class.


#include <qcolor.h>

#include "kvpmodint.h"


// The dtor.

extern "C" void kvpColorDtor(void *ptr)
{
	delete (QColor *)ptr;
}


// The ctor.

extern "C" void *kvpColorCtor(PyObject *,pymodColorDef *cd)
{
	return new QColor(cd -> red >> 8,cd -> green >> 8,cd -> blue >> 8);
}


// Set the rgb property.

extern "C" int kvpColorSetRGB(void *self,pymodColorDef *cd)
{
	((QColor *)self) -> setRgb(cd -> red >> 8,cd -> green >> 8,cd -> blue >> 8);

	return 0;
}
