// Copyright (c) 2000 Phil Thompson (phil@river-bank.demon.co.uk)
//
// All the KDE controls are derived from QWidget so we provide a set of common
// handlers that can be used for all controls.


#include <qwidget.h>

#include "kvpmodint.h"


// Get the background color.

extern "C" int kvpGetBackground(void *self,pymodColorDef *cd)
{
	const QColor &bg = ((QWidget *)self) -> backgroundColor();

	cd -> red = bg.red() << 8;
	cd -> green = bg.green() << 8;
	cd -> blue = bg.blue() << 8;
	cd -> bitsPerColor = 8;

	return 0;
}
