// Copyright (c) 2000 Phil Thompson (phil@river-bank.demon.co.uk)
//
// This defines the interface to the main application widget.


#ifndef KVPSHELL_H
#define KVPSHELL_H

#include <ktmainwindow.h>


class QWidget;


class KVPShell : public KTMainWindow
{
	Q_OBJECT

public:
	KVPShell();
	virtual ~KVPShell();

public slots:
	void scriptFailed(const char *,const char *);
	void internalError(const char *);

private:
	QWidget *m_view;
};

#endif
