/*
 * Copyright (c) 2000 Phil Thompson (phil@river-bank.demon.co.uk)
 *
 * This handles the GNOME implementation of the ApplicationWindow class.
 */


#include <gtk/gtkcontainer.h>

#include "gvpmodint.h"


/*
 * Add a child.
 */
 
void gvpApplicationWindowAddChild(void *self,void *child)
{
	GtkWidget *gaw = (GtkWidget *)self;
 
	gtk_container_add(GTK_CONTAINER(gaw),(GtkWidget *)child);
}


/*
 * The method update.
 */

void gvpApplicationWindowUpdate(void *self,void *child)
{
	GtkWidget *cw = (GtkWidget *)child;

	gtk_widget_show_all(cw);
}
