// Copyright (c) 2000 Phil Thompson (phil@river-bank.demon.co.uk)
//
// The implementation of the VPScript class.


#include "kvpinterpreter.h"

#include "kvpscript.moc"


VPScript::VPScript(char *script,VPInterpreter *interp)
{
	m_interp = interp;
	m_script = script;
}


VPScript::~VPScript()
{
}


// Execute a script.

void VPScript::execute()
{
	VPInterpreter *interp;

	if ((interp = m_interp) != NULL || (interp = VPInterpreter::main) != NULL)
		interp -> execute(m_script);
}
