// Copyright (c) 2000 Phil Thompson (phil@river-bank.demon.co.uk)
//
// This header files defines the internal interfaces of the KDE implementation
// of the Python module.


#ifndef _KVPMODINT_H
#define	_KVPMODINT_H

#include "pymod.h"


// These are the driver functions.

extern "C" {
void kvpColorDtor(void *);
void *kvpColorCtor(PyObject *,pymodColorDef *);
int kvpColorSetRGB(void *,pymodColorDef *);

void kvpChartDtor(void *);
void *kvpChartCtor(PyObject *,void *,int,int);
void kvpChartPlot(void *,void *,int);

void kvpGridDtor(void *);
void *kvpGridCtor(PyObject *,void *);
void kvpGridAddChild(void *,void *,int,int);

void kvpHBoxDtor(void *);
void *kvpHBoxCtor(PyObject *,void *);
void kvpHBoxAddChild(void *,void *);

void kvpVBoxDtor(void *);
void *kvpVBoxCtor(PyObject *,void *);
void kvpVBoxAddChild(void *,void *);

void kvpLabelDtor(void *);
void *kvpLabelCtor(PyObject *,void *,char *);
int kvpLabelSetText(void *,char *);

void kvpApplicationWindowUpdate(void *,void *);

void kvpMessageError(char *,void *,char *);
void kvpMessageInformation(char *,void *,char *);
int kvpMessageQuestion(char *,void *,char *,char *,char *);
void kvpMessageSorry(char *,void *,char *);
int kvpMessageWarning(char *,void *,char *,int,char *,char *,char *);

void kvpDialogDtor(void *);
void *kvpDialogCtor(PyObject *,void *,char *,int,char *,int,int,char *,char *);
void kvpDialogAddChild(void *,void *);
void kvpDialogHide(void *);
void kvpDialogShow(void *);
int kvpDialogSetTitle(void *,char *);

int kvpGetBackground(void *,pymodColorDef *);
}

#endif
