/*
 * Copyright (c) 2000 Phil Thompson (phil@river-bank.demon.co.uk)
 *
 * This module implements the Python part of the TopLevel class.
 */


#include <stddef.h>

#include "pymodint.h"

 
/*****************************************************************************/
/* Describe the TopLevel class.                                              */
/*****************************************************************************/
 
/* The properties of this class. */

propDef pymodPropTopLevelTitle = {
	"title",
	stringProp,
	offsetof(pymodPyTopLevel,topLevel.title),
	0,
	{PROP_VALID_NONE_OK, },
	{PROP_VALUE_IS_DEFAULT|PROP_VALUE_IS_NONE, },
};
 
static classPropDef topLevelProperties[] = {
	{&pymodPropTopLevelTitle, },
	{NULL}
};
 
/* The class definition. */
 
classDef pymodClassTopLevel = {
        "TopLevel",
	topLevelProperties,
};
